Public Class usrCntlATLAS_AES_Adressen
    '  Dim OWNER As Control
    Dim NCTS_OUT As DAKOSY_Worker.cDakosyAES = Nothing
    'Sub New(OWNER As Control, NCTS_OUT As DAKOSY_Worker.cDakosyAES)
    Sub New(NCTS_OUT As DAKOSY_Worker.cDakosyAES)
        InitializeComponent()
        'Me.OWNER = OWNER
        Me.NCTS_OUT = NCTS_OUT
    End Sub

    Public Sub usrCntlATLAS_NCTS_Adressen_Load(sender As Object, e As EventArgs) Handles Me.Load
        '    usrCntlSumA_Befoerderer.initME()

    End Sub



    Public Sub getValues(ByRef NCTS As DAKOSY_Worker.cDakosyAES)
        NCTS.aes_AusfuehrerTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.kdFirma.Text)
        NCTS.aes_AusfuehrerTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtStrasse.Text)
        NCTS.aes_AusfuehrerTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtPlz.Text)
        NCTS.aes_AusfuehrerTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtOrt.Text)
        NCTS.aes_AusfuehrerTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.sbLand._value)
        NCTS.aes_AusfuehrerTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtEORI.Text)
        NCTS.aes_AusfuehrerTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtEORINL.Text)
        NCTS.aes_AusfuehrerTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_Ausfuehrer.txtAnsprechpartner.Text)


        NCTS.aes_AnmelderTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.kdFirma.Text)
        NCTS.aes_AnmelderTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtStrasse.Text)
        NCTS.aes_AnmelderTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtPlz.Text)
        NCTS.aes_AnmelderTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtOrt.Text)
        NCTS.aes_AnmelderTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.sbLand._value)
        NCTS.aes_AnmelderTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtEORI.Text)
        NCTS.aes_AnmelderTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtEORINL.Text)
        NCTS.aes_AnmelderTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_Anmelder.txtAnsprechpartner.Text)

        NCTS.aes_EmpfaengerTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.kdFirma.Text)
        NCTS.aes_EmpfaengerTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtStrasse.Text)
        NCTS.aes_EmpfaengerTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtPlz.Text)
        NCTS.aes_EmpfaengerTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtOrt.Text)
        NCTS.aes_EmpfaengerTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.sbLand._value)
        NCTS.aes_EmpfaengerTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtEORI.Text)
        NCTS.aes_EmpfaengerTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtEORINL.Text)
        'NCTS.aes_EmpfaengerTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_Empfaenger.txtAnsprechpartner.Text)

        NCTS.aes_VertreterAnmelderTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.kdFirma.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtStrasse.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtPlz.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtOrt.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.sbLand._value)
        NCTS.aes_VertreterAnmelderTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtEORI.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtEORINL.Text)
        NCTS.aes_VertreterAnmelderTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_VertreterAnmelder.txtAnsprechpartner.Text)

        NCTS.aes_SubunternehmerTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.kdFirma.Text)
        NCTS.aes_SubunternehmerTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtStrasse.Text)
        NCTS.aes_SubunternehmerTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtPlz.Text)
        NCTS.aes_SubunternehmerTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtOrt.Text)
        NCTS.aes_SubunternehmerTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.sbLand._value)
        NCTS.aes_SubunternehmerTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtEORI.Text)
        NCTS.aes_SubunternehmerTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtEORINL.Text)
        NCTS.aes_SubunternehmerTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_Subunternehmer.txtAnsprechpartner.Text)

        'NCTS.aes_VerfahrensinhaberPVTeilnehmerName = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.kdFirma.Text)
        'NCTS.aes_VerfahrensinhaberPVTeilnehmerStrasse = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtStrasse.Text)
        'NCTS.aes_VerfahrensinhaberPVTeilnehmerPLZ = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtPlz.Text)
        'NCTS.aes_VerfahrensinhaberPVTeilnehmerOrt = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtOrt.Text)
        ' NCTS.aes_VerfahrensinhaberPVTeilnehmerLandCode = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.sbLand._value)
        NCTS.aes_VerfahrensinhaberPVTeilnehmerEORI = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtEORI.Text)
        NCTS.aes_VerfahrensinhaberPVTeilnehmerNLNR = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtEORINL.Text)
        NCTS.aes_VerfahrensinhaberPVTeilnehmerAnsprechpartnerSachbearbeiter = cProgramFunctions.isLeerNothing(usrCntl_Verfahrensinhaber.txtAnsprechpartner.Text)

        
    End Sub





    Public Sub setValues(NCTS As DAKOSY_Worker.cDakosyAES)
        usrCntl_Ausfuehrer.kdFirma.Text = NCTS.aes_AusfuehrerTeilnehmerName
        usrCntl_Ausfuehrer.txtStrasse.Text = NCTS.aes_AusfuehrerTeilnehmerStrasse
        usrCntl_Ausfuehrer.txtPlz.Text = NCTS.aes_AusfuehrerTeilnehmerPLZ
        usrCntl_Ausfuehrer.txtOrt.Text = NCTS.aes_AusfuehrerTeilnehmerOrt
        usrCntl_Ausfuehrer.txtEORI.Text = NCTS.aes_AusfuehrerTeilnehmerEORI
        usrCntl_Ausfuehrer.txtEORINL.Text = NCTS.aes_AusfuehrerTeilnehmerNLNR
        usrCntl_Ausfuehrer.sbLand.SET_VALUE(NCTS.aes_AusfuehrerTeilnehmerLandCode)
        usrCntl_Ausfuehrer.txtAnsprechpartner.Text = NCTS.aes_AusfuehrerTeilnehmerAnsprechpartnerSachbearbeiter

        usrCntl_Anmelder.kdFirma.Text = NCTS.aes_AnmelderTeilnehmerName
        usrCntl_Anmelder.txtStrasse.Text = NCTS.aes_AnmelderTeilnehmerStrasse
        usrCntl_Anmelder.txtPlz.Text = NCTS.aes_AnmelderTeilnehmerPLZ
        usrCntl_Anmelder.txtOrt.Text = NCTS.aes_AnmelderTeilnehmerOrt
        usrCntl_Anmelder.txtEORI.Text = NCTS.aes_AnmelderTeilnehmerEORI
        usrCntl_Anmelder.txtEORINL.Text = NCTS.aes_AnmelderTeilnehmerNLNR
        usrCntl_Anmelder.sbLand.SET_VALUE(NCTS.aes_AnmelderTeilnehmerLandCode)
        usrCntl_Anmelder.txtAnsprechpartner.Text = NCTS.aes_AnmelderTeilnehmerAnsprechpartnerSachbearbeiter

        usrCntl_Empfaenger.kdFirma.Text = NCTS.aes_EmpfaengerTeilnehmerName
        usrCntl_Empfaenger.txtStrasse.Text = NCTS.aes_EmpfaengerTeilnehmerStrasse
        usrCntl_Empfaenger.txtPlz.Text = NCTS.aes_EmpfaengerTeilnehmerPLZ
        usrCntl_Empfaenger.txtOrt.Text = NCTS.aes_EmpfaengerTeilnehmerOrt
        usrCntl_Empfaenger.txtEORI.Text = NCTS.aes_EmpfaengerTeilnehmerEORI
        usrCntl_Empfaenger.txtEORINL.Text = NCTS.aes_EmpfaengerTeilnehmerNLNR
        usrCntl_Empfaenger.sbLand.SET_VALUE(NCTS.aes_EmpfaengerTeilnehmerLandCode)
        '  usrCntl_Empfaenger.txtAnsprechpartner.Text = NCTS.aes_EmpfaengerTeilnehmerAnsprechpartnerSachbearbeiter

        usrCntl_VertreterAnmelder.kdFirma.Text = NCTS.aes_VertreterAnmelderTeilnehmerName
        usrCntl_VertreterAnmelder.txtStrasse.Text = NCTS.aes_VertreterAnmelderTeilnehmerStrasse
        usrCntl_VertreterAnmelder.txtPlz.Text = NCTS.aes_VertreterAnmelderTeilnehmerPLZ
        usrCntl_VertreterAnmelder.txtOrt.Text = NCTS.aes_VertreterAnmelderTeilnehmerOrt
        usrCntl_VertreterAnmelder.txtEORI.Text = NCTS.aes_VertreterAnmelderTeilnehmerEORI
        usrCntl_VertreterAnmelder.txtEORINL.Text = NCTS.aes_VertreterAnmelderTeilnehmerNLNR
        usrCntl_VertreterAnmelder.sbLand.SET_VALUE(NCTS.aes_VertreterAnmelderTeilnehmerLandCode)
        usrCntl_VertreterAnmelder.txtAnsprechpartner.Text = NCTS.aes_VertreterAnmelderTeilnehmerAnsprechpartnerSachbearbeiter

        usrCntl_Subunternehmer.kdFirma.Text = NCTS.aes_SubunternehmerTeilnehmerName
        usrCntl_Subunternehmer.txtStrasse.Text = NCTS.aes_SubunternehmerTeilnehmerStrasse
        usrCntl_Subunternehmer.txtPlz.Text = NCTS.aes_SubunternehmerTeilnehmerPLZ
        usrCntl_Subunternehmer.txtOrt.Text = NCTS.aes_SubunternehmerTeilnehmerOrt
        usrCntl_Subunternehmer.txtEORI.Text = NCTS.aes_SubunternehmerTeilnehmerEORI
        usrCntl_Subunternehmer.txtEORINL.Text = NCTS.aes_SubunternehmerTeilnehmerNLNR
        usrCntl_Subunternehmer.sbLand.SET_VALUE(NCTS.aes_SubunternehmerTeilnehmerLandCode)
        usrCntl_Subunternehmer.txtAnsprechpartner.Text = NCTS.aes_SubunternehmerTeilnehmerAnsprechpartnerSachbearbeiter

        'usrCntl_Verfahrensinhaber.kdFirma.Text = NCTS.aes_VerfahrensinhaberpvTeilnehmerName
        'usrCntl_Verfahrensinhaber.txtStrasse.Text = NCTS.aes_VerfahrensinhaberpvTeilnehmerStrasse
        ' usrCntl_Verfahrensinhaber.txtPlz.Text = NCTS.aes_VerfahrensinhaberpvTeilnehmerPLZ
        'usrCntl_Verfahrensinhaber.txtOrt.Text = NCTS.aes_VerfahrensinhaberpvTeilnehmerOrt
        usrCntl_Verfahrensinhaber.txtEORI.Text = NCTS.aes_VerfahrensinhaberPVTeilnehmerEORI
        usrCntl_Verfahrensinhaber.txtEORINL.Text = NCTS.aes_VerfahrensinhaberPVTeilnehmerNLNR
        ' usrCntl_Verfahrensinhaber.sbLand.SET_VALUE(NCTS.aes_VerfahrensinhaberpvTeilnehmerLandCode)
        usrCntl_Verfahrensinhaber.txtAnsprechpartner.Text = NCTS.aes_VerfahrensinhaberPVTeilnehmerAnsprechpartnerSachbearbeiter

    End Sub



 

End Class
